Package org.eclipse.graphiti.features

# Interface ILayoutFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `ILayout`, `IName`

All Known Implementing Classes:
  `AbstractLayoutFeature`, `LayoutFeatureForPattern`

public interface ILayoutFeature extends ILayout, IFeature
The Interface ILayoutFeature.

## Method Summary

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.func.ILayout

`canLayout, layout`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`